//
//  Field.h
//  EPCGlobalTDS
//
//  Created by Danny Haak on 19-04-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

@class EPCOption;

@interface EPCField : NSObject {
	NSInteger seq;
	NSString *name;
	NSInteger bitLength;
	NSString *characterSet;
	NSString *compaction;
	NSString *compression;
	NSString *padChar;
	NSString *padDir;
	NSString *bitPadDir;
	NSString *decimalMinimum;
	NSString *decimalMaximum;
	NSInteger length;
	EPCOption *option;
}

@property (nonatomic) NSInteger seq;
@property (nonatomic, retain) NSString *name;
@property (nonatomic) NSInteger bitLength;
@property (nonatomic, retain) NSString *characterSet;
@property (nonatomic, retain) NSString *compaction;
@property (nonatomic, retain) NSString *compression;
@property (nonatomic, retain) NSString *padChar;
@property (nonatomic, retain) NSString *padDir;
@property (nonatomic, retain) NSString *bitPadDir;
@property (nonatomic, retain) NSString *decimalMinimum;
@property (nonatomic, retain) NSString *decimalMaximum;
@property (nonatomic) NSInteger length;
@property (nonatomic, retain) EPCOption *option;

@end
