//
//  Level.m
//  EPCGlobalTDS
//
//  Created by Danny Haak on 19-04-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import "EPCLevel.h"
#import "EPCScheme.h"

@implementation EPCLevel

@synthesize options;
@synthesize rules;
@synthesize type;
@synthesize prefixMatch;
@synthesize requiredParsingParameters;
@synthesize requiredFormattingParameters;
@synthesize scheme;

- (id)init {
	self = [super init];
	options = [[NSMutableArray alloc] initWithCapacity:10];
	rules = [[NSMutableArray alloc] initWithCapacity:10];
	
	return self;
}
- (NSString *) description {
    return [NSString stringWithFormat:@"options:%u,rules:%u,type:%@,prefixMatch:%@,reqParsingParams:%@,reqFormParams:%@",[options count],[rules count],type,prefixMatch,requiredParsingParameters,requiredFormattingParameters];
}

@end
