//
//  EPCTDTEngine.h
//  EPCGlobalTDS
//
//  Created by Danny Haak on 19-04-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

@class EPCTagDataTranslationStandard;
@class EPCField;
@class EPCOption;
@class EPCLevel;
@class EPCScheme;
@class EPCRule;
@class EPCPrefixMatch;

@interface EPCTDTEngine : NSObject {
}

+ (EPCTDTEngine *)sharedSingleton;
+ (BOOL)isValidEPC:(NSString *)binaryString;
+ (NSString *)translate:(NSString *)input withParameterList:(NSString *)parameterList outputFormat:(NSString *)outputFormat;
//+ (NSString *)translate:(NSString *)input withParameterList:(NSString *)parameterList outputFormat:(NSString *)outputFormat inputFormat:(NSString *)inputFormat;
+ (NSString *)translateData:(NSData *)input withParameterList:(NSString *)parameterList outputFormat:(NSString *)outputFormat;
+ (NSString *)calculateGS1Checksum:(NSString *)input;

@end
