//
//  AboutViewController.m
//  NedapHandheldAPIDemo
//
//  Created by Wim Fikkert on 8/7/12.
//  Copyright (c) 2012 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import "AboutViewController.h"
#import <UIKit/UIKit.h>

@interface AboutViewController ()

@end

@implementation AboutViewController

@synthesize logo,versionNr;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
    
    // Make navigation bar buttons in nicer color
    self.navigationController.navigationBar.tintColor = UICOLOR_PURPLE;
    
    // Set nicer background
	self.view.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@"background_stripes" ofType:@"png"]]];

    NSDictionary *appInfo = [[NSBundle mainBundle] infoDictionary];
    NSString *versionStr = [NSString stringWithFormat:@"%@ (%@)", 
                            [appInfo objectForKey:@"CFBundleShortVersionString"], 
                            [appInfo objectForKey:@"CFBundleVersion"]];
    self.versionNr.text = [NSString stringWithFormat:@"!D Hand API v%@",versionStr];
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
