//
//  InventorySingleShotViewController.h
//  NedapHandheldAPIDemo
//
//  Created by Wim Fikkert on 9/15/11.
//  Copyright 2011 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <UIKit/UIKit.h>


@interface InventorySingleShotViewController : UITableViewController {
	IBOutlet UITableView *tableViewInstance;
	NSMutableArray *epcCodes;
	BOOL inventoryRunning;
	UIActivityIndicatorView *activityIndicator;
    NSDate *finishedReadTimestamp;
    BOOL finishedWriting;
}

@property (assign) IBOutlet UITableView *tableViewInstance;
@property (nonatomic, retain) NSMutableArray *epcCodes;
@property (nonatomic) BOOL inventoryRunning;
@property (nonatomic) BOOL finishedWriting;
@property (nonatomic, retain) UIActivityIndicatorView *activityIndicator;
@property (nonatomic, retain) NSDate *finishedReadTimestamp;

- (void)clearButtonPush;

@end
