//
//  WhiteAlertView.h
//  Cube
//
//  Created by Wim Fikkert on 11/4/11.
//  Copyright (c) 2011 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <UIKit/UIKit.h>

#define BUSY_ALERT_IMAGE @"busy"
#define STOP_ALERT_IMAGE @"store_id_status-stop"
#define IDHAND_ALERT_IMAGE @"icon_idhand_white"
#define OK_ALERT_IMAGE @"store_id_status-ok"
#define NO_ALERT_IMAGE @"store_id_status-no"

@interface PurpleAlertView : UIAlertView

- (void) setFillColor:(UIColor *) color;
- (void) setBackgroundColor:(UIColor *) background
            withStrokeColor:(UIColor *) stroke;
- (id) initWithTitle:(NSString *)title message:(NSString *)message delegate:(id)delegate cancelButtonTitle:(NSString *)cancelButtonTitle image:(NSString *)statusImageName otherButtonTitles:(NSString *)otherButtonTitles, ...;

@end
