﻿using System;

namespace Nedap.EPC.TDT
{
    /// <summary>
    /// A TDTTranslationException is thrown at runtime when the user supplies invalid or
    /// incomplete input.
    /// </summary>
    public class TDTTranslationException : Exception
    {   
        /// <summary>
        /// Constructor for TDTTranslationException class
        /// </summary>
        public TDTTranslationException()
            : base()
        {
        }
        /// <summary>
        /// Constructor for TDTTranslationException class
        /// </summary>
        /// <param name="message">Exception message</param>
        public TDTTranslationException(string message)
            : base(message)
        {
        }
        /// <summary>
        /// Constructor for TDTTranslationException class
        /// </summary>
        /// <param name="message">Exception message</param>
        /// <param name="innerException">Exception</param>
        public TDTTranslationException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
    }
}