﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// Event arguments for handheld did receive error event.
    /// </summary>
    public class HandheldReceiveErrorEventArgs : EventArgs
    {
        /// <summary>
        /// String property that represents error message.
        /// </summary>
        public string ErrorMessage { get; private set; }

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="errorMessage"></param>
        public HandheldReceiveErrorEventArgs(string errorMessage)
        {
            ErrorMessage = errorMessage;
        }
    }
}
