﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// Event arguments for RFID did fail but tags are available event.
    /// </summary>
    public class RfidFailButTagsAvailableEventArgs: EventArgs
    {
        /// <summary>
        /// Boolian property that represents if tags are available.
        /// </summary>
        public bool Available { get; set; }

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="available"></param>
        public RfidFailButTagsAvailableEventArgs(bool available)
        {
            Available = available;
        }
    }
}
