﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// Event arguments for RFID did read card event.
    /// </summary>
    public class RfidReadCardEventArgs : EventArgs
    {
        /// <summary>
        /// Integer property that holds card number.
        /// </summary>
        public int CardNumber { get; set; }

        /// <summary>
        /// Construnctor
        /// </summary>
        /// <param name="cardNumber"></param>
        public RfidReadCardEventArgs(int cardNumber)
        {
            CardNumber = cardNumber;
        }
    }
}
