﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// Event arguments for RFID did receive supported regions event.
    /// </summary>
    public class RfidReceiveSupportedRegionsEventArgs : EventArgs
    {
        /// <summary>
        /// Integer property that holds region flags.
        /// </summary>
        public int RegionFlags { get; private set; }

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="regionFlags"></param>
        public RfidReceiveSupportedRegionsEventArgs(int regionFlags)
        {
            RegionFlags = regionFlags;
        }
    }
}
