﻿using System;


namespace Nedap.HandheldApi
{
    /// <summary>
    /// Event arguments for RFID did write data and if more tags are available event.
    /// </summary>
    public class RfidWriteDataMoreTagsAvailableEventArgs : EventArgs
    {
        /// <summary>
        /// Boolian property that presents if more tags are available.
        /// </summary>
        public bool Available { get; private set; }

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="available"></param>
        public RfidWriteDataMoreTagsAvailableEventArgs(bool available)
        {
            Available = available;
        }
    }
}
