//
//  Level.h
//  EPCGlobalTDS
//
//  Created by Danny Haak on 19-04-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

@class EPCScheme;

@interface EPCLevel : NSObject {
	NSMutableArray *options;
	NSMutableArray *rules;
	NSString *type;
	NSString *prefixMatch;
	NSString *requiredParsingParameters;
	NSString *requiredFormattingParameters;
	EPCScheme *scheme;
}

@property (nonatomic, retain) NSMutableArray *options;
@property (nonatomic, retain) NSMutableArray	*rules;
@property (nonatomic, retain) NSString *type;
@property (nonatomic, retain) NSString *prefixMatch;
@property (nonatomic, retain) NSString *requiredParsingParameters;
@property (nonatomic, retain) NSString *requiredFormattingParameters;
@property (nonatomic, retain) EPCScheme *scheme;
- (NSString *) description;

@end
