//
//  Option.h
//  EPCGlobalTDS
//
//  Created by Danny Haak on 19-04-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

@class EPCField;
@class EPCLevel;

@interface EPCOption : NSObject {
	NSMutableArray *fields;
	NSString *optionKey;
	NSString *pattern;
	NSString *grammar;
	EPCLevel *level;
}

@property (nonatomic, retain) NSMutableArray *fields;
@property (nonatomic, retain) NSString *optionKey;
@property (nonatomic, retain) NSString *pattern;
@property (nonatomic, retain) NSString *grammar;
@property (nonatomic, retain) EPCLevel *level;

@end
