//
//  Rule.h
//  EPCGlobalTDS
//
//  Created by Danny Haak on 19-04-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <Foundation/Foundation.h>

@interface EPCRule : NSObject {
	NSString *type;
	NSString *inputFormat;
	NSString *seq;
	NSString *fieldNameNew;
	NSString *characterSet;
	NSInteger length;
	NSString *padChar;
	NSString *padDir;
	NSString *bitPadDir;
	NSInteger decimalMinimum;
	NSInteger decimalMaximum;
	NSString *function;
	NSString *tableURL;
	NSString *tableParams;
	NSString *tableXPath;
	NSString *tableSQL;
}

@property (nonatomic, retain) NSString *type;
@property (nonatomic, retain) NSString *inputFormat;
@property (nonatomic, retain) NSString *seq;
@property (nonatomic, retain) NSString *fieldNameNew;
@property (nonatomic, retain) NSString *characterSet;
@property (nonatomic) NSInteger length;
@property (nonatomic, retain) NSString *padChar;
@property (nonatomic, retain) NSString *padDir;
@property (nonatomic, retain) NSString *bitPadDir;
@property (nonatomic) NSInteger decimalMinimum;
@property (nonatomic) NSInteger decimalMaximum;
@property (nonatomic, retain) NSString *function;
@property (nonatomic, retain) NSString *tableURL;
@property (nonatomic, retain) NSString *tableParams;
@property (nonatomic, retain) NSString *tableXPath;
@property (nonatomic, retain) NSString *tableSQL;

@end
