//
//  NedapHandheldAPI.h
//  NedapHandheldAPI
//
//  Created by Danny Haak on 02-09-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

/** 
 @mainpage Nedap Retail !d hand iOS API documentation
 
 This manual pages describe the API of the Nedap Retail !d hand.
 
 For more high-level information, please see the developer guide.
 */

#import "NHDefines.h"
#import "NHSelect.h"
#import "NHPassword.h"
#import "NHEPCObservation.h"
#import "NHPresentation.h"
#import "NHSession.h"
#import "NHSessionDelegateProtocol.h"

#import "EPCGlobalTDS.h"


#ifdef DEBUG
#  define NHDLog(__FORMAT__, ...) NSLog((@"%s [Line %d] " __FORMAT__), __PRETTY_FUNCTION__, __LINE__, ##__VA_ARGS__);
#else
#  define NHDLog(__FORMAT__, ...)
#endif

#define NHRLog(__FORMAT__, ...) NSLog((@"%s [Line %d] " __FORMAT__), __PRETTY_FUNCTION__, __LINE__, ##__VA_ARGS__);