//
//  BarcodeReadViewController.h
//  NedapHandheldAPIDemo
//
//  Created by Danny Haak on 10-10-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <UIKit/UIKit.h>


@interface BarcodeReadViewController : UIViewController {
	IBOutlet UILabel *barcodeTypeLabel;
	IBOutlet UILabel *barcodeLabel;
	IBOutlet UIImageView *compatibleWithStoreID;
	
	UIAlertView *barcodeNotReadAlertView;
}

@property (nonatomic, retain) IBOutlet UILabel *barcodeTypeLabel;
@property (nonatomic, retain) IBOutlet UILabel *barcodeLabel;
@property (nonatomic, retain) IBOutlet UIImageView *compatibleWithStoreID;

@property (nonatomic, retain) UIAlertView *barcodeNotReadAlertView;

- (void)startReadingBarcodes;

@end
