//
//  InventoryViewController.h
//  NedapHandheldAPIDemo
//
//  Created by Danny Haak on 03-10-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <UIKit/UIKit.h>

@interface InventoryViewController : UIViewController {
	IBOutlet UITableView *tableViewInstance;
	NSMutableArray *epcCodes;
	BOOL inventoryRunning;
	UIActivityIndicatorView *activityIndicator;
    UISegmentedControl *segmentedControl;
}

@property (assign) IBOutlet UITableView *tableViewInstance;
@property (nonatomic, retain) NSMutableArray *epcCodes;
@property (nonatomic) BOOL inventoryRunning;
@property (nonatomic, retain) UIActivityIndicatorView *activityIndicator;

- (void)clearButtonPush;
+ (void) writeEPCs:(NSArray *)epcs toFile:(NSString *)description;

@end
