//
//  MonitorViewController.h
//  NedapHandheldAPIDemo
//
//  Created by Danny Haak on 10-10-10.
//  Copyright 2010 N.V. Nederlandsche Apparatenfabriek "Nedap". All rights reserved.
//

#import <UIKit/UIKit.h>


@interface MonitorViewController : UIViewController <UISearchBarDelegate> {
	IBOutlet UITableView *tableViewInstance;
	UISearchBar *searchBarInstance;
	NSMutableArray *tags;
	BOOL monitorRunning;
    NSPredicate *searchPredicate;
}

@property (assign) IBOutlet UITableView *tableViewInstance;
@property (nonatomic, retain) UISearchBar *searchBarInstance;
@property (nonatomic, retain) NSMutableArray *tags;
@property (nonatomic) BOOL monitorRunning;
@property (nonatomic, retain) NSPredicate *searchPredicate;

@end
